Subject: RE: RTAI+ELDK Compile Problems

From: "Andrew Dennison" <[email-masked]>
Date: Wed, 9 Feb 2005 08:58:28 +1100

On Tuesday, 8 February 2005 10:09 PM, [email-masked]
wrote:

> I've got a major problem trying to compile RTAI using the
> ELDK cross compiler.
> I'm using ELDK version 3.1, and my target is ppc_8xx (823). I
> have followed the instructions given at
> ftp://ftp.denx.de/pub/RTAI/24.1.12/README.install
> <ftp://ftp.denx.de/pub/RTAI/24.1.12/README.install> , using the
> 
> linuxppc_2_4_devel kernel (2004_04_30_1320) and rtai-24.1.12-denx.
> 
> Now, the rtai patch works fine, and the kernel compiles, but
> when I try to compile rtai
> The following error occurs:
> 
> /opt/eldk-3.1/ppc_8xx/usr/src/rtai-24.1.12/include/asm/rtai_srq.h: In
> function `rtai_srq':
> /opt/eldk-3.1/ppc_8xx/usr/src/rtai-24.1.12/include/asm/rtai_srq.h:32:
> error: asm-specifier for variable `__sc_3' conflicts with asm clobber
> list  
> 

I had a problem like this a while ago with gcc 3.3.2 (see this list from
22 March 2004) - seems later gcc versions are more pedantic about the way
the clobber list is specified, at least that is what some googling seemed
to indicate.

Attached patch worked for me when I was using linuxppc_devel patched with
patch-denx-linuxppc_2_4_devel-LABEL_2003_12_22_1500-ltt and
rtai-24.1.12-denx.tar.bz2.